Subject: Re: bug#62096: 30.0.50; find-dired, dired-goto-file and spaces

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 Mar 2023 13:32:01 +0200

> From: Po Lu <[email-masked]>
> Cc: Manuel Giraud <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 12 Mar 2023 18:54:44 +0800
> 
> IICU filenames with embedded spaces and newlines are not supposed to
> work without GNU ls, which implements a `--dired' option just for Emacs.

That's not entirely accurate: ls-lisp.el also implements the
functionality for which --dired is required: it puts the special text
property on file names just like we do when we get --dired.  So the
related features also work on MS-Windows (and on any other platform if
ls-lisp.el is used).